Subject: [PATCH v2 3/8] watchdog: at91rm9200: use the regmap from mfd

From: [email-masked] (Alexandre Belloni)
Date: Mon, 12 Jan 2015 15:08:36 +0100

On 10/01/2015 at 17:14:00 -0800, Guenter Roeck wrote :
> Not sure I understand what my comment has to do with 'parent'.
> 
> The fact that the code checks if it has already been instantiated
> suggests that the original author of the driver was concerned about
> that case. Since you did not remove that check I have to assume that
> this can still happen. If so, the second instantiation attempt will
> overwrite regmap_st, since that variable is written prior to checking
> for the dual instantiation.
> 

I'll move the regmap_st assignment after the check. But I really believe
it will never be probed more than once.

-- 
Alexandre Belloni, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com